schema: 1

bugzilla:
  product: Core
  component: "JavaScript Engine"

origin:
  name: irregexp
  description: A fast regular expression engine from V8
  url: https://v8.dev

  release: b5aa4c8b718d75f9cf4d4afd635ffd217f0acb38 (Sun Sep 07 04:43:21 2025).
  revision: b5aa4c8b718d75f9cf4d4afd635ffd217f0acb38

  license: BSD-3-Clause
  license-file: LICENSE.v8

vendoring:
  url: https://chromium.googlesource.com/v8/v8.git
  source-hosting: googlesource
  vendor-directory: js/src/irregexp/
  skip-vendoring-steps: ['fetch', 'move-contents']
  patches:
    - patches/trace-constiterator-operator-not-equal.patch
    - patches/public-regexp-destructor.patch

  update-actions:
    - action: run-script
      script: 'import-irregexp.py'
      cwd: '{yaml_dir}'

updatebot:
  maintainer-phab: iain
  maintainer-bz: iireland@mozilla.com
  try-preset: sm-shell
  tasks:
    - type: vendoring
      enabled: True
      frequency: 1 week
